// Inspired by the DuckDuckGo Privacy Extension (https://github.com/duckduckgo/duckduckgo-privacy-extension)
// Original source for this file can be found here:
// https://github.com/duckduckgo/duckduckgo-privacy-extension/tree/develop/shared/data

/*
 * Copyright (C) 2012, 2016 DuckDuckGo, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* For ESLint: List any global identifiers used in this file below */
/* global require log module chrome */

'use strict';

module.exports = {
  extensionIsEnabled: true,
  socialBlockingIsEnabled: false,
  trackerBlockingEnabled: false,
  httpsEverywhereEnabled: true,
  embeddedTweetsEnabled: false,
  meanings: false,
  advanced_options: false,
  last_search: '',
  lastsearch_enabled: true,
  safesearch: true,
  use_post: false,
  ducky: false,
  dev: false,
  zeroclick_google_right: false,
  version: null,
  atb: null,
  set_atb: null,
  'trackersWhitelistTemporary-etag': null,
  'trackersWhitelist-etag': null,
  'surrogateList-etag': null,
  'httpsWhitelist-etag': null,
  'httpsUpgradeList-etag': null,
  hasSeenPostInstall: false,
  extiSent: false,
  failedUpgrades: 0,
  totalUpgrades: 0,
};
